"""Animation frames for nyan-pytest.

This module contains the ASCII art frames for the nyan cat animation.
Each frame represents one step in the animation sequence.
"""

# Nyan cat frames with consistent head position and moving paws
NYAN_FRAMES = [
    [
        "≈≈╭━━━━━━━━━━━━╮",
        "≈╭┫ ♥ * ♥ * ♥ *┃ ╮ ╮",
        "≈┃┃* ♥ * ♥ * ♥ ┃(^ᴥ^)",
        "≈-┫ ♥ * ♥ * ♥ *┣╯",
        "≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈  ╰┛ ╰┛ ╰┛ ╰┛",
    ],
    [
        "≈≈≈╭━━━━━━━━━━━━╮",
        "≈≈╭┫ ♥ * ♥ * ♥ *┃ ╮ ╮",
        "≈≈┃┃* ♥ * ♥ * ♥ ┃(^ᴥ^)",
        "≈≈-┫ ♥ * ♥ * ♥ *┣╯",
        "≈≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈≈╰┛ ╰┛  ╰┛ ╰┛",
    ],
    [
        "≈≈≈≈╭━━━━━━━━━━━━╮",
        "≈≈≈╭┫ ♥ * ♥ * ♥ *┣╮ ╮",
        "≈≈≈┃┃* ♥ * ♥ * ♥ (^ᴥ^)",
        "≈≈≈-┫ ♥ * ♥ * ♥ *┣ ",
        "≈≈≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈≈≈╰┛ ╰┛ ╰┛ ╰┛",
    ],
    [
        "≈≈≈≈≈╭━━━━━━━━━━━━╮",
        "≈≈≈≈╭┫ ♥ * ♥ * ♥ *┣╮ ╮",
        "≈≈≈≈┃┃* ♥ * ♥ * ♥ (^ᴥ^)",
        "≈≈≈≈-┫ ♥ * ♥ * ♥ *┣╯",
        "≈≈≈≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈≈≈╰┛ ╰┛  ╰┛ ╰┛",
    ],
    [
        "≈≈≈≈≈≈╭━━━━━━━━━━━━╮",
        "≈≈≈≈≈╭┫ ♥ * ♥ * ♥ *┃ ╮ ╮",
        "≈≈≈≈≈┃┃* ♥ * ♥ * ♥ ┃(^ᴥ^)",
        "≈≈≈≈≈-┫ ♥ * ♥ * ♥ *┣╯",
        "≈≈≈≈≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈≈≈≈  ╰┛ ╰┛ ╰┛ ╰┛",
    ],
    [
        "≈≈≈≈≈≈╭━━━━━━━━━━━━╮",
        "≈≈≈≈≈╭┫ ♥ * ♥ * ♥ *┃ ╮ ╮",
        "≈≈≈≈≈┃┃* ♥ * ♥ * ♥ ┃(^ᴥ^)",
        "≈≈≈≈≈-┫ ♥ * ♥ * ♥ *┣╯",
        "≈≈≈≈≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈≈≈≈≈ ╰┛ ╰┛  ╰┛ ╰┛",
    ],
    [
        "≈≈≈≈≈≈╭━━━━━━━━━━━━╮",
        "≈≈≈≈≈╭┫ ♥ * ♥ * ♥ *┣╮ ╮",
        "≈≈≈≈≈┃┃* ♥ * ♥ * ♥ (^ᴥ^)",
        "≈≈≈≈≈-┫ ♥ * ♥ * ♥ *┣ ",
        "≈≈≈≈≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈≈≈≈≈╰┛ ╰┛ ╰┛ ╰┛",
    ],
    [
        "≈≈≈≈≈≈╭━━━━━━━━━━━━╮",
        "≈≈≈≈≈╭┫ ♥ * ♥ * ♥ *┣╮ ╮",
        "≈≈≈≈≈┃┃* ♥ * ♥ * ♥ (^ᴥ^)",
        "≈≈≈≈≈-┫ ♥ * ♥ * ♥ *┣╯",
        "≈≈≈≈≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈≈≈≈╰┛ ╰┛  ╰┛ ╰┛",
    ],
    [
        "≈≈≈≈≈≈╭━━━━━━━━━━━━╮",
        "≈≈≈≈≈╭┫ ♥ * ♥ * ♥ *┃ ╮ ╮",
        "≈≈≈≈≈┃┃* ♥ * ♥ * ♥ ┃(^ᴥ^)",
        "≈≈≈≈≈-┫ ♥ * ♥ * ♥ *┣╯",
        "≈≈≈≈≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈≈≈≈  ╰┛ ╰┛ ╰┛ ╰┛",
    ],
    [
        "≈≈≈≈≈╭━━━━━━━━━━━━╮",
        "≈≈≈≈╭┫ ♥ * ♥ * ♥ *┃ ╮ ╮",
        "≈≈≈≈┃┃* ♥ * ♥ * ♥ ┃(^ᴥ^)",
        "≈≈≈≈-┫ ♥ * ♥ * ♥ *┣╯",
        "≈≈≈≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈≈≈≈ ╰┛ ╰┛  ╰┛ ╰┛",
    ],
    [
        "≈≈≈╭━━━━━━━━━━━━╮",
        "≈≈╭┫ ♥ * ♥ * ♥ *┣╮ ╮",
        "≈≈┃┃* ♥ * ♥ * ♥ (^ᴥ^)",
        "≈≈-┫ ♥ * ♥ * ♥ *┣ ",
        "≈≈≈╰━━━━━━━━━━━━╯",
        "≈≈≈≈╰┛ ╰┛ ╰┛ ╰┛",
    ],
    [
        "≈≈╭━━━━━━━━━━━━╮",
        "≈╭┫ ♥ * ♥ * ♥ *┣╮ ╮",
        "≈┃┃* ♥ * ♥ * ♥ (^ᴥ^)",
        "≈-┫ ♥ * ♥ * ♥ *┣╯",
        "≈≈╰━━━━━━━━━━━━╯",
        "≈≈╰┛ ╰┛  ╰┛ ╰┛",
    ],
]


# Animation speed control
ANIMATION_SPEED_DIVISOR = 6  # Higher values = slower animation

# Rainbow colors for the trail
RAINBOW_COLORS = ["red", "yellow", "green", "cyan", "blue", "magenta"]